import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { NgPosition } from '../models/ng-position';
import { NgSourceMap } from '../models/ng-source-map';
export declare class NgSourceMapper {
    private http;
    private cache;
    constructor(http: HttpClient);
    getSourceInfoFromMap(map: NgSourceMap, position: NgPosition): NgPosition;
    getSourceInfoFromURL(position: NgPosition, cache?: boolean): Observable<NgPosition>;
}
